DocsAPI ReferenceOrder/bff/order/add-virtual-product
postOrderAdmin BFF

/bff/order/add-virtual-product

Adds a custom (virtual) line item not linked to any product and recalculates the total price.

OrderpostBffOrderAdd-virtual-product

Parameters

5 body

5 total
Body · 5
orderHashstringRequired

Unique order hash identifier.

labelstringRequired

Item label displayed on invoice.

pricenumberRequired

Unit price including VAT.

vatnumberRequired

VAT rate in percent (e.g. 21).

countnumberRequired

Quantity to add.

Request

POST /bff/order/add-virtual-product

post
curl -X POST "https://api.bizkithub.com/bff/order/add-virtual-product" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "orderHash": "example_orderHash",
  "label": "example_label",
  "price": 0,
  "vat": 0,
  "count": 0
}'

Response

JSON payload

{
  "success": true
}

All response codes

1 status code documented

Need an API key?

All BizKitHub API endpoints require authentication via API key.

Get API Key